Subject: Re: "ahci: drop intx manipulation on msi enable" breaks ULI M1575

From: Michael Ellerman <[email-masked]>
Date: Wed, 08 Apr 2009 10:52:36 +1000

On Tue, 2009-04-07 at 19:36 -0500, Timur Tabi wrote:
> On Tue, Apr 7, 2009 at 6:57 PM, Tejun Heo <[email-masked]> wrote:
> 
> > Hmmm... that means intx isn't set by default.  I'm not sure what is
> > the right thing to do here.  I think it's something which should be
> > handled by the PCI layer.  Oh well, maybe we should just revert the
> > change and keep setting intx?
> 
> cc'ing linuxppc-dev
> 
> I really don't know what should be done.  It seems to make sense to
> have the PCI layer enable interrupts.
> 
> This seems to be a powerpc-specific bug, but I don't know enough of
> the PCI subsystem.

Can you post some more details, or point us at a thread?

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person